aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-parse-syslog/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-09-03 13:16:40 +0000
committerMichael Mason <ms13sp@gmail.com>2009-09-03 13:16:40 +0000
commita74a1ac910df80a6053436b0d53665ebb212a4b5 (patch)
tree3609aafefd8d842d331c8e284afbc297508978b7 /testing/perl-parse-syslog/APKBUILD
parentc6b5262ba97c0ae4505e6831e4275169b2ed4cc2 (diff)
downloadaports-a74a1ac910df80a6053436b0d53665ebb212a4b5.tar.gz
aports-a74a1ac910df80a6053436b0d53665ebb212a4b5.tar.bz2
aports-a74a1ac910df80a6053436b0d53665ebb212a4b5.tar.xz
testing/perl-parse-syslog Initial commmit
Diffstat (limited to 'testing/perl-parse-syslog/APKBUILD')
-rw-r--r--testing/perl-parse-syslog/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/perl-parse-syslog/APKBUILD b/testing/perl-parse-syslog/APKBUILD
new file mode 100644
index 0000000000..af6da0feda
--- /dev/null
+++ b/testing/perl-parse-syslog/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=perl-parse-syslog
+_realname=Parse-Syslog
+pkgver=1.10
+pkgrel=0
+pkgdesc="Parse Unix syslog files"
+url="http://search.cpan.org/~dschwei/Parse-Syslog-1.10/"
+license="unknown"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DS/DSCHWEI/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="e1c4c03aaa7cb8d2baa52f294dd9accc Parse-Syslog-1.10.tar.gz"